%=================================================================
%gf2bin.m
%Convert a Galois Field Array into a binary Array.
%The calling syntax is:
%		[DecOutput] = gf2dec(GFInput)
%Inputs:
%   GFInput: gf Array input
%Outputs:
%   DecOutput: Binary Array 
%=================================================================
function [DecOutput] = gf2bin(GFInput)
n=length(GFInput);
DecOutput=zeros(1,n);
test=1;
testgf=gf(test);
for i=1:n
    if isequal(testgf(1),GFInput(i))
        DecOutput(i)=1;
    end
end